## org.red5.server.api
Interface AttributeStoreMBean

All Known Subinterfaces:
  IAttributeStore, IBasicScope, IBroadcastScope, ICastingAttributeStore, IClient, IClientSharedObject, IConnection, ICoreObject, IGlobalScope, IRemotingConnection, IScope, IServiceCapableConnection, ISharedObject, ISharedObjectBase, IStreamCapableConnection

All Known Implementing Classes:
  ApplicationAdapter, AttributeStore, BaseConnection, BaseRTMPTConnection, BasicScope, BroadcastScope, Client, ClientSharedObject, EdgeRTMPMinaConnection, GlobalScope, MultiThreadedApplicationAdapter, PersistableAttributeStore, RemotingConnection, RTMPConnection, RTMPMinaConnection, RTMPOriginConnection, RTMPTClientConnection, RTMPTConnection, Scope, SharedObject, SharedObjectScope, StatefulScopeWrappingAdapter, WebScope

    public interface AttributeStoreMBean

Base interface for all API objects with attributes

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard (luke@codegent.com)

Method Summary
`Object` `getAttribute(String name)`
`Object` `getAttribute(String name, Object defaultValue)`
`Set<String>` `getAttributeNames()`
`Map<String,Object>` `getAttributes()`
`boolean` `hasAttribute(String name)`
`boolean` `removeAttribute(String name)`
`void` `removeAttributes()`
`boolean` `setAttribute(String name, Object value)`

Method Detail

### getAttributeNames

    Set<String> getAttributeNames()

### getAttributes

    Map<String,Object> getAttributes()

### setAttribute

    boolean setAttribute(String name,
                         Object value)

### getAttribute

    Object getAttribute(String name)

### getAttribute

    Object getAttribute(String name,
                        Object defaultValue)

### hasAttribute

    boolean hasAttribute(String name)

### removeAttribute

    boolean removeAttribute(String name)

### removeAttributes

    void removeAttributes()

Copyright © 2006-2010 The Red5 Project